> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxus.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Knowledge Base Tree

> Get a hierarchical tree view of files and folders in a knowledge base.



## OpenAPI

````yaml get /v1/knowledge-bases/{knowledge_base_id}/tree
openapi: 3.1.0
info:
  title: Noxus Backend
  description: >-
    Backend API for the Noxus Platform. More information can be found at
    https://docs.noxus.ai
  version: 1.1.0
servers: []
security: []
paths:
  /v1/knowledge-bases/{knowledge_base_id}/tree:
    get:
      tags:
        - V1 - Knowledge Bases
      summary: Get Knowledge Base Tree
      description: Get a hierarchical tree view of files and folders in a knowledge base.
      operationId: get_knowledge_base_tree
      parameters:
        - name: knowledge_base_id
          in: path
          required: true
          schema:
            type: string
            title: Knowledge Base Id
        - name: folder
          in: query
          required: false
          schema:
            type: string
            description: Root folder path
            default: /
            title: Folder
          description: Root folder path
        - name: max_depth
          in: query
          required: false
          schema:
            type: integer
            maximum: 10
            minimum: 1
            description: Maximum tree depth
            default: 3
            title: Max Depth
          description: Maximum tree depth
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: string
                title: Response Get Knowledge Base Tree
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````